=== doc/CMakeLists.txt ===
# Uncomment the following 2 lines to compile the user guide at build-time
# (requires pdflatex)
#FIND_PACKAGE(LATEX REQUIRED)
#ADD_CUSTOM_TARGET(user_guide.pdf ALL ${PDFLATEX_COMPILER} "${PROJECT_SOURCE_DIR}/doc/user_guide.tex")

# Install user guide
install(FILES user_guide.pdf DESTINATION share/doc/kissplice)
