=== man/CMakeLists.txt ===
install(FILES kissplice.1 DESTINATION share/man/man1)
