=== thirdparty/CMakeLists.txt ===
ADD_SUBDIRECTORY(kissreads)
