=== debian/changelog ===
kissplice (2.5.3-3) unstable; urgency=medium

  * Team Upload.
  * Fix gcc-10 FTBFS (Closes: #972768)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 26 Oct 2020 04:00:37 +0530

kissplice (2.5.3-2) unstable; urgency=medium

  * Restore build time tests: fixed upstream (Closes: #936798)
  * Fix bcalm install (Closes: #962085)

 -- David Parsons <david.parsons@inria.fr>  Tue, 23 Jun 2020 16:27:59 +0200

kissplice (2.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Improved clean post build.

 -- Steffen Moeller <moeller@debian.org>  Thu, 18 Jun 2020 18:47:58 +0200

kissplice (2.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Möller ]
  * Added ref to bioconda

  [ Antoni Villalonga ]
  * New upstream version 2.5.1
  * Python2 to Python3 (Closes: 936798)
  * tests-2to3.patch: tests migration from Python2 to 3
  * spelling.patch: Amend spelling typos
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Standards-Version: 4.5.0

  [ Nilesh Patra ]
  * Fix and add autopkgtests

  [ Andreas Tille ]
  * Add debian/TODO linking to build time errors
  * Remove extra license file

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 29 May 2020 02:55:28 +0530
