=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export DEB_CFLAGS_MAINT_APPEND = -Wno-error=format-security
#export DEB_CFLAGS_MAINT_APPEND = -Wno-error=format-security -Wno-parentheses

# -Wno-unused-result fix bcalm/gatb-core/gatb-core/thirdparty/boost/mpl/assert.hpp:188 unnecessary parentheses
#
# -Wno-parentheses fix bcalm/gatb-core/gatb-core/src/gatb/bank/impl/BankBinary.cpp:54 unused-result
#
# -Wno-error=format-security fix:
#  cd /build/kissplice-2.5.0/obj-x86_64-linux-gnu/bcalm/ext/gatb-core/src &&
#  /usr/lib/ccache/c++
#  -I/build/kissplice-2.5.0/obj-x86_64-linux-gnu/bcalm/ext/gatb-core/include
#  -I/build/kissplice-2.5.0/obj-x86_64-linux-gnu/bcalm/ext/gatb-core/include/None
#  -I/build/kissplice-2.5.0/bcalm/gatb-core/gatb-core/src
#  -I/build/kissplice-2.5.0/bcalm/gatb-core/gatb-core/thirdparty
#  -g -O2 -fdebug-prefix-map=/build/kissplice-2.5.0=. -fstack-protector-strong
#  -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2
#  -Wno-unused-result -Wno-parentheses -msse2 -msse4.2 -mpopcnt
#  -std=c++11 -O3 -DNDEBUG -Wall -Wno-unused-function -Wno-format
#  -Wno-unknown-pragmas -Wno-invalid-offsetof -o CMakeFiles/gatbcore-static.dir/gatb/bank/impl/Bank.cpp.o -c
#  /build/kissplice-2.5.0/bcalm/gatb-core/gatb-core/src/gatb/bank/impl/Bank.cpp
#
#   cc1plus: error: '-Wformat-security' ignored without '-Wformat' [-Werror=format-security]
export DEB_CPPFLAGS_MAINT_APPEND = -Wno-unused-result -Wno-parentheses -Wno-error=format-security

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBEXECDIR=lib/

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_auto_install:
	touch bcalm/README.md
	dh_auto_install

override_dh_install:
	rm -rf debian/$(DEB_SOURCE)/usr/README.md debian/$(DEB_SOURCE)/build debian/$(DEB_SOURCE)/builds
	mkdir -p debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)
	mv debian/$(DEB_SOURCE)/usr/bin/kissplice debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/kissplice.py

override_dh_installdocs:
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bcalm/README.md tests/functional_tests/__pycache__/ tests/integration_tests/__pycache__/
