=== debian/watch ===
version=4

http://kissplice.prabi.fr/download/index.php ftp://pbil.univ-lyon1.fr/pub/logiciel/kissplice/download/kissplice-(.*)\.tar\.gz
