=== debian/changelog ===
kissplice (2.5.5+dfsg-1) unstable; urgency=medium

  * Disable Salsa-CI from building on i386
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 19:16:12 +0100

kissplice (2.5.4+dfsg-1) unstable; urgency=medium

  * Remove bcalm source since there is a separate bcalm package (see #962085)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Cleanup rules from references to bcalm and means to build gatb-core

 -- Andreas Tille <tille@debian.org>  Mon, 13 Dec 2021 08:21:05 +0100
