=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  http://kissplice.prabi.fr/download/index.php ftp://pbil.univ-lyon1.fr/pub/logiciel/kissplice/download/kissplice-(.*)\.tar\.gz
