## kissplice 2.5.5+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,15 +23,16 @@
     SET(CMAKE_BUILD_TYPE Distribution)
 ENDIF(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
 
-
+SET(CMAKE_CXX_FLAGS "-fopenmp")	
+SET(CMAKE_C_FLAGS "-fopenmp")	
 SET(CMAKE_CXX_FLAGS_DEBUG "-g -Wall")	      
 SET(CMAKE_C_FLAGS_DEBUG "-g -Wall")
 SET(CMAKE_CXX_FLAGS_RELEASE "-O3 -Wall")
-SET(CMAKE_C_FLAGS_RELEASE "-O3 -Wall")
+SET(CMAKE_C_FLAGS_RELEASE "-O3 -Wall -fcommon")
 SET(CMAKE_CXX_FLAGS_DISTRIBUTION "-O3 -w")
-SET(CMAKE_C_FLAGS_DISTRIBUTION "-O3 -w")
+SET(CMAKE_C_FLAGS_DISTRIBUTION "-O3 -w -fcommon")
 SET(CMAKE_CXX_FLAGS_PROFILING "-g -pg") 
-SET(CMAKE_C_FLAGS_PROFILING "-g -pg")
+SET(CMAKE_C_FLAGS_PROFILING "-g -pg -fcommon")
 
 
 
@@ -143,7 +144,7 @@
 SET(CPACK_PACKAGE_VENDOR "Kissplice Development Team")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "5")
-SET(CPACK_PACKAGE_VERSION_PATCH "3")
+SET(CPACK_PACKAGE_VERSION_PATCH "5")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Splicing events caller")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
@@ -155,7 +156,6 @@
  "README.Release"
  "README.NamingConventions"
  "README.Kissreads"
- "README.md"
  "CMakeFiles"
  "Makefile"
  "_CPack_Packages"
