=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                cmake,
                python3-dev,
                libpython3-stdlib,
                zlib1g-dev,
-Standards-Version: 4.5.0
+               bcalm <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/kissplice
 Vcs-Git: https://salsa.debian.org/med-team/kissplice.git
 Homepage: http://kissplice.prabi.fr/
@@ -20,7 +21,8 @@
 Architecture: any-amd64 any-arm64 any-mips64 any-mips64el any-ia64 any-ppc64 any-ppc64el any-sparc64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         bcalm
 Description: Detection of various kinds of polymorphisms in RNA-seq data
  KisSplice is a piece of software that enables the analysis of RNA-seq data
  with or without a reference genome. It is an exact local transcriptome
